


.top {
  position: absolute;
  top: -50px;
}

.right {
  position: absolute;
  right: -50px;
}

.left {
  position: absolute;
  left: -50px;
}

.bottom {
  position: absolute;
  bottom: -50px;
}



/* НОВИНКА: Стили для формы с полями ввода */
.controls {
    display: flex; /* Делаем форму тоже флекс-контейнером */
    flex-direction: column; /* Располагаем элементы друг под другом */
    gap: 10px; /* Отступы между полями и кнопкой */
}

/* Стили для текстового поля с кодом */
#cssOutput {
    width: 400px;
    height: 280px; /* Уменьшим высоту, чтобы поля поместились */
    border: none;
    outline: none;
    background-color: #FFF;
    border: 1px solid #9c9595;
    font-size: 12px;
    color: #333;
    white-space: pre-wrap;
    word-break: break-all;
    resize: none;


}

/* Базовые стили для меток и инпутов */
.controls label, .controls input {
    font-size: 14px;
    width: 30px;
    outline: none;
    padding: 2px 8px;
    text-align: center;
}

.controls input {
    padding: 5px;
    border: 0 none;
    background: #cecece
}

#updateBtn {
    padding: 8px 15px;
    background-color: #007BFF;
    color: #fff;
    border: none;
    cursor: pointer;
}

#updateBtn:hover {
    background-color: #0056b3;
}

/* НОВИНКА: Обертка для textarea и иконки */
.output-wrapper {
    position: relative; /* Обязательно для позиционирования дочерних элементов */
    width: 100%;
    max-width: 360px;
    margin: 20px 0;
}



/* 1. Делаем контейнер для иконки относительным,
   чтобы иконка могла позиционироваться относительно него */
.preview-box {
    position: relative; /* Это ключевое изменение */
    width: 550px;
    height: 100%;
    margin: 0;
    background-color: #cecece;

    display: flex;
    align-items: center;
    justify-content: center;
}





/* 3. Адаптивность для мобильных устройств */
@media (max-width: 768px) {
  .top {
    top: -30px;
  }

  .right {
    right: 0px;
  }

  .left {
    left: 0px;

  }

  .bottom {
    bottom: -30px;
  }

  .editor-container {
      width: 320px;
      margin-top: 50px;
  }
  .preview-box {
      width: 320px;
  }

  #cssOutput {
      width: 260px;
      word-break: none;
    }

  .mt {
    margin-top: 100px;
  }
}
